import { jsx } from "react/jsx-runtime";
import { Code as Code$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Code = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Code", ...props, children: /* @__PURE__ */ jsx(Code$1, { weight: variant }) });
  }
);
Code.displayName = "Code";
Object.assign(Code, { isGdsIcon: true });
export {
  Code
};
